<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="sueno">
        <h2 class="jh-entity-heading" data-cy="suenoDetailsHeading">
          <span v-text="$t('gatewayApp.manillaSueno.detail.title')">Sueno</span> {{ sueno.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.manillaSueno.superficial')">Superficial</span>
          </dt>
          <dd>
            <span>{{ sueno.superficial }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaSueno.profundo')">Profundo</span>
          </dt>
          <dd>
            <span>{{ sueno.profundo }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaSueno.despierto')">Despierto</span>
          </dt>
          <dd>
            <span>{{ sueno.despierto }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaSueno.timeInstant')">Time Instant</span>
          </dt>
          <dd>
            <span v-if="sueno.timeInstant">{{ $d(Date.parse(sueno.timeInstant), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaSueno.user')">User</span>
          </dt>
          <dd>
            {{ sueno.user ? sueno.user.login : '' }}
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link v-if="sueno.id" :to="{ name: 'SuenoEdit', params: { suenoId: sueno.id } }" custom v-slot="{ navigate }">
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./sueno-details.component.ts"></script>
